# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation;
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# This file is reset_MPD_folder_structure.awk
# Modifications by Jason Quinlan - j.quinlan@cs.ucc.ie - 09th March 2018



BEGIN {

	# FS means field seperator, and denotes that charcter that seperates the columns.
	# We separate based on open or close tag.
	FS = "[<|>]"

}

{
	# from each representation, lets extract the bitrate
	if($2 ~ "SegmentTemplate" && $2 !~ "SegmentTemplate initialization"){
	
		# split the line into 2 array values, around the text "media="\""
		split($2, my_array,"media=\"");
		
		# the above left an " at the end of the bitrate, so remove that
		split(my_array[2], final_array, "\" startNumber");

        # lets get the folder structure
        split(final_array[1], url_array,"_");

        i=1;
        for(val in url_array){

            if(url_array[i] ~ "kbps"){

                resolution = url_array[i-2];
                kbps = url_array[i];

            }
            i++;
        }

        printf("<%smedia=\"%s/%s/%s\" startNumber%s>", my_array[1] , resolution, kbps, final_array[1], final_array[2]);

	}
    else
        print $0
	
}

END {

	
}
